Subject: Re: [PATCH net-next-2.6 v3] can: mcp251x: Move to threaded interrupts instead of workqueues.

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 03 Feb 2010 21:14:23 +0100

Christian Pellegrin wrote:
> This patch addresses concerns about efficiency of handling incoming
> packets. Handling of interrupts is done in a threaded interrupt handler
> which has a smaller latency than workqueues. This change needed a rework
> of the locking scheme that was much simplified. Some other (more or less
> longstanding) bugs are fixed: utilization of just half of the RX
> buffers, useless wait for interrupt on open, more reliable reset
> sequence. The MERR interrupt is not used anymore: it overloads the CPU
> in error-passive state without any additional information. One shot mode
> is disabled because it's not clear if it can be handled efficiently on
> this CAN controller.
> 
> Signed-off-by: Christian Pellegrin <[email-masked]>

Acked-by: Wolfgang Grandegger <[email-masked]>

Thanks.

Wolfgang